What 3DS to buy?

Discussion in '3DS - Console, Accessories and Hardware' started by coldstream, Feb 11, 2016.

  1. coldstream
    OP

    coldstream Member

    Newcomer
    18
    2
    Mar 31, 2015
    Netherlands
    Hey guys,

    I'm considering getting an 3DS again, i've had one on its early days but sold it as i had all the games that got released and got tired of it. Now i surely regret it, even with the possibilities these days to mod it and all.
    So i'm looking to buy me a 3DS again but the New3DS makes my choice a bit harder.

    First of all, i am not sure to get either a new or a pre-used one. Second, i need to look at the FW version thats running on it, right?
    Also, are there really that much advantages of getting a N3DS instead of a regular one? I mean, the games that only runs on N3DS are very limited and its still unknown if that will be the way Nintendo is heading?

    Then, i really need to know if its gonna be a regular one or a XL one too?

    What are the best recommendations you guys give me? :)
     
  2. bananapi761

    bananapi761 Lurkin

    Member
    150
    27
    Jan 8, 2016
    United Kingdom
    Norn Iron
    New 3DS has a larger chance of bricking for hacks like downgrading. I have a O3DS but personally I would get a 2DS. Most people say it looks and feels awkward but I really like the way it feels. It's also the cheapest system you can get new.
     
  3. coldstream
    OP

    coldstream Member

    Newcomer
    18
    2
    Mar 31, 2015
    Netherlands
    Nah i dont like the 2DS at all. For me, with al the nostalgia i have, a new 3ds in white looks sexy with the old colors on the buttons. :D
    How big is the chance it got FW 10.4 or 10.5 on it, if i buy it new?

    And, is the XL screen worth it or is the "regular" one better, in terms of screen quality?
     
  4. Alex3dss

    Alex3dss I like sharing Japanese music

    Member
    415
    44
    Aug 21, 2015
    Netherlands
    Location unknown
    Go to Marktplaats and get a second hand 3ds xl on a firmware lower then 9.2 so you can use rxTools or something like that. Thats what I did twice